Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLSelectElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLSelectElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLSelectElement, Node

public class JRexHTMLSelectElementImpl
extends JRexHTMLElementImpl
implements HTMLSelectElement

A class implementing org.w3c.dom.html2.HTMLSelectElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLSelectElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `add(HTMLElement element, HTMLElement before)` Add a new element to the collection of `OPTION` elements for this `SELECT`.
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`int` | `getLength()` The number of options in this `SELECT`.
`boolean` | `getMultiple()` If true, multiple `OPTION` elements may be selected in this `SELECT`.
`String` | `getName()` Form control or object name when submitted with a form.
`HTMLOptionsCollection` | `getOptions()` The collection of `OPTION` elements contained by this element.
`int` | `getSelectedIndex()` The ordinal index of the selected option, starting from 0.
`int` | `getSize()` Number of visible rows.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getType()` The type of this form control.
`String` | `getValue()` The current form control value (i.e.
`void` | `remove(int index)` Remove an element from the collection of `OPTION` elements for this `SELECT`.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setLength(int length)` The number of options in this `SELECT`.
`void` | `setMultiple(boolean multiple)` If true, multiple `OPTION` elements may be selected in this `SELECT`.
`void` | `setName(String name)` Form control or object name when submitted with a form.
`void` | `setSelectedIndex(int selectedIndex)` The ordinal index of the selected option, starting from 0.
`void` | `setSize(int size)` Number of visible rows.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setValue(String value)` The current form control value (i.e.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getType

    public String getType()

  Description copied from interface: `HTMLSelectElement`
  The type of this form control. This is the string "select-multiple" when the multiple attribute is `true` and the string "select-one" when `false`.

  Specified by:
    `getType` in interface `HTMLSelectElement`

### getSelectedIndex

    public int getSelectedIndex()

  Description copied from interface: `HTMLSelectElement`
  The ordinal index of the selected option, starting from 0. The value -1 is returned if no element is selected. If multiple options are selected, the index of the first selected option is returned.

  Specified by:
    `getSelectedIndex` in interface `HTMLSelectElement`

### setSelectedIndex

    public void setSelectedIndex(int selectedIndex)

  Description copied from interface: `HTMLSelectElement`
  The ordinal index of the selected option, starting from 0. The value -1 is returned if no element is selected. If multiple options are selected, the index of the first selected option is returned.

  Specified by:
    `setSelectedIndex` in interface `HTMLSelectElement`

### getValue

    public String getValue()

  Description copied from interface: `HTMLSelectElement`
  The current form control value (i.e. the value of the currently selected option), if multiple options are selected this is the value of the first selected option.

  Specified by:
    `getValue` in interface `HTMLSelectElement`

### setValue

    public void setValue(String value)

  Description copied from interface: `HTMLSelectElement`
  The current form control value (i.e. the value of the currently selected option), if multiple options are selected this is the value of the first selected option.

  Specified by:
    `setValue` in interface `HTMLSelectElement`

### getLength

    public int getLength()

  Description copied from interface: `HTMLSelectElement`
  The number of options in this `SELECT`.

  Specified by:
    `getLength` in interface `HTMLSelectElement`

### setLength

    public void setLength(int length)
                   throws DOMException

  Description copied from interface: `HTMLSelectElement`
  The number of options in this `SELECT`.

  Specified by:
    `setLength` in interface `HTMLSelectElement`
  Throws:
    `DOMException` - NOT_SUPPORTED_ERR: if setting the length is not allowed by the implementation.

### getForm

    public HTMLFormElement getForm()

  Description copied from interface: `HTMLSelectElement`
  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

  Specified by:
    `getForm` in interface `HTMLSelectElement`

### getOptions

    public HTMLOptionsCollection getOptions()

  Description copied from interface: `HTMLSelectElement`
  The collection of `OPTION` elements contained by this element.

  Specified by:
    `getOptions` in interface `HTMLSelectElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLSelectElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `getDisabled` in interface `HTMLSelectElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Description copied from interface: `HTMLSelectElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `setDisabled` in interface `HTMLSelectElement`

### getMultiple

    public boolean getMultiple()

  Description copied from interface: `HTMLSelectElement`
  If true, multiple `OPTION` elements may be selected in this `SELECT`. See the multiple attribute definition in HTML 4.01.

  Specified by:
    `getMultiple` in interface `HTMLSelectElement`

### setMultiple

    public void setMultiple(boolean multiple)

  Description copied from interface: `HTMLSelectElement`
  If true, multiple `OPTION` elements may be selected in this `SELECT`. See the multiple attribute definition in HTML 4.01.

  Specified by:
    `setMultiple` in interface `HTMLSelectElement`

### getName

    public String getName()

  Description copied from interface: `HTMLSelectElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLSelectElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLSelectElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLSelectElement`

### getSize

    public int getSize()

  Description copied from interface: `HTMLSelectElement`
  Number of visible rows. See the size attribute definition in HTML 4.01.

  Specified by:
    `getSize` in interface `HTMLSelectElement`

### setSize

    public void setSize(int size)

  Description copied from interface: `HTMLSelectElement`
  Number of visible rows. See the size attribute definition in HTML 4.01.

  Specified by:
    `setSize` in interface `HTMLSelectElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLSelectElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `getTabIndex` in interface `HTMLSelectElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Description copied from interface: `HTMLSelectElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `setTabIndex` in interface `HTMLSelectElement`

### add

    public void add(HTMLElement element,
                    HTMLElement before)
             throws DOMException

  Description copied from interface: `HTMLSelectElement`
  Add a new element to the collection of `OPTION` elements for this `SELECT`. This method is the equivalent of the `appendChild` method of the `Node` interface if the `before` parameter is `null`. It is equivalent to the `insertBefore` method on the parent of `before` in all other cases. This method may have no effect if the new element is not an `OPTION` or an `OPTGROUP`.

  Specified by:
    `add` in interface `HTMLSelectElement`
  Parameters:
    `element` - The element to add.
    `before` - The element to insert before, or `null` for the tail of the list.
  Throws:
    `DOMException` - NOT_FOUND_ERR: Raised if `before` is not a descendant of the `SELECT` element.

### remove

    public void remove(int index)

  Description copied from interface: `HTMLSelectElement`
  Remove an element from the collection of `OPTION` elements for this `SELECT`. Does nothing if no element has the given index.

  Specified by:
    `remove` in interface `HTMLSelectElement`
  Parameters:
    `index` - The index of the item to remove, starting from 0.

### blur

    public void blur()

  Description copied from interface: `HTMLSelectElement`
  Removes keyboard focus from this element.

  Specified by:
    `blur` in interface `HTMLSelectElement`

### focus

    public void focus()

  Description copied from interface: `HTMLSelectElement`
  Gives keyboard focus to this element.

  Specified by:
    `focus` in interface `HTMLSelectElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.